#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 34. GNOME Applications

- Prev

  Evince-46.3.1

- Next

  File-Roller-44.5

- Up
- Home

# Evolution-3.54.3

## Introduction to Evolution

The Evolution package contains an integrated mail, calendar and address book suite designed for the GNOME environment.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evolution/3.54/evolution-3.54.3.tar.xz

- Download MD5 sum: 5e2bb6cc4a3c6b4563edf7ac507d8cce

- Download size: 13 MB

- Estimated disk space required: 382 MB

- Estimated build time: 1.0 SBU (Using parallelism=4)

### Evolution Dependencies

#### Required

adwaita-icon-theme-47.0, evolution-data-server-3.54.3, Gcr-4.3.1, gnome-autoar-0.4.5, shared-mime-info-2.4, and WebKitGTK-2.46.6

#### Recommended

Bogofilter-1.2.5, enchant-2.8.2, gnome-desktop-44.1, gspell-1.14.0, Highlight-4.15, itstool-2.0.7, libcanberra-0.30, libgweather-4.4.4, libnotify-0.8.4, OpenLDAP-2.6.9, and Seahorse-47.0.1

#### Optional

GeoClue-2.7.2, geocode-glib-3.26.4, and GTK-Doc-1.34.0, clutter-gtk (Contact Maps plugin), cmark, Glade, libchamplain (Contact Maps plugin), libpst, libunity, libytnef

## Installation of Evolution

Install Evolution by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D SYSCONF_INSTALL_DIR=/etc  \
          -D ENABLE_INSTALLED_TESTS=ON \
          -D ENABLE_PST_IMPORT=OFF     \
          -D ENABLE_YTNEF=OFF          \
          -D ENABLE_CONTACT_MAPS=OFF   \
          -D ENABLE_MARKDOWN=OFF       \
          -D ENABLE_WEATHER=ON         \
          -G Ninja .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D ENABLE_YTNEF=OFF`: This switch is used to disable the yTNEF library usage because libytnef is not part of BLFS.

`-D ENABLE_PST_IMPORT=OFF`: This switch is used to disable the pst-import plugin because libpst is not part of BLFS.

`-D ENABLE_CONTACT_MAPS=OFF`: This switch disables building the Contact Maps plugin. Remove this switch if you have installed the necessary dependencies and wish to build the Contact Maps plugin.

`-D ENABLE_MARKDOWN=OFF`: This switch allows building without cmark. Remove this switch if you need markdown support and you have installed the necessary dependency.

`-D ENABLE_WEATHER=ON`: This switch allows building against libgweather-4.4.4.

`-D WITH_HELP=OFF`: This switch disables building the manual of this package. Use this switch if you have not installed itstool-2.0.7.

`-D WITH_OPENLDAP=OFF`: Use this switch if you have not installed OpenLDAP-2.6.9.

## Contents

Installed Programs: evolution
Installed Libraries: None
Installed Directories: /usr/include/evolution, /usr/lib/evolution, /usr/libexec/evolution, /usr/share/evolution, /usr/share/installed-tests/evolution, /usr/share/help/*/evolution, and optionally /usr/share/gtk-doc/html/{evolution-mail-composer,evolution-mail-engine}, /usr/share/gtk-doc/html/{evolution-mail-formatter,evolution-shell}, and /usr/share/gtk-doc/html/evolution-util

### Short Descriptions

evolution | is an email, calendar and address book suite for the GNOME Desktop

- Prev

  Evince-46.3.1

- Next

  File-Roller-44.5

- Up
- Home